library("testthat")

points_for_all_tests(character(0))

test("chick21 has correct number of rows", character(0), {
  expect_equal(nrow(chick21), 45)
})

test("the the element chick21[42,1] is correct", character(0), {
  expect_equal(chick21[42, 1], 205)
})

test("the the first element of chick21$weight2 is correct", character(0), {
  expect_equal(chick21$weight2[1], factor("medium", levels=c("low", "medium", "high")))
})

test("the element tab1[2,3] is correct", character(0), {
  expect_equal(tab1[2, 3], 1)
})

test("columns of tab2 sum to one", character(0), {
  expect_equivalent(colSums(tab2), rep(1, 4))
})