library("testthat")

points_for_all_tests(character(0))

test("mystate.x77 is a data frame", character(0), {
  expect_true(is.data.frame(mystate.x77))
})

test("b1 is approximately correct", character(0), {
  expect_equal(b1, -0.8, tolerance=0.1, scale=1)
})

test("the first element of mystate.x77$Income2 is correct", character(0), {
  expect_equal(mystate.x77$Income2[1], factor("low", levels=c("low", "medium", "high")))
})

test("the first element of b2 is approximately correct", character(0), {
  expect_equal(b2[1], -0.67, tolerance=0.01, scale=1)
})
